読者です 読者をやめる 読者になる 読者になる

きょこみのーと

元六本木でGo書いてました。今はVRでGo書いてます。

Cocos2d-x3.1rc0でのAndroid gradleビルド対応

f:id:kyokomi:20140523222610p:plain

proj.android/build_native.py版です。

めっちゃ苦戦した・・・

ndk-buildでずっとstdが無いとか意味不明なエラーでてた。。。(T_T)

Application.mkに以下を追加して解決。

NDK_TOOLCHAIN_VERSION=4.8

参考

githubにおきました

「ブログに書くのめんどくせー(オイッ」ということで以下になります。

https://github.com/kyokomi/Cocos2dx3.1GradleSample

以下のcommitの差分を見ると対応内容がわかりやすいです。

https://github.com/kyokomi/Cocos2dx3.1GradleSample/commit/b32471fea2413e2903dbcd2179224fd0712a15c8

おかしいところあれば、お手柔らかに!!お気軽に!!